Categories:
  - Internet
License: Apache-2.0
SourceCode: https://gitlab.com/Commit451/LabCoat
IssueTracker: https://gitlab.com/Commit451/LabCoat/issues
Changelog: https://gitlab.com/Commit451/LabCoat/blob/HEAD/CHANGELOG.md

AutoName: LabCoat
Description: |-
    GitLab client with features including:

    * View commits
    * View, edit & close issues
    * Comment on issues
    * Browse & view files
    * Manage groups

RepoType: git
Repo: https://gitlab.com/Commit451/LabCoat.git

Builds:
  - versionName: 2.1.4
    versionCode: 214
    commit: 2.1.4-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 220
    commit: 2.2.0-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.1
    versionCode: 221
    commit: 2.2.1-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.2
    versionCode: 222
    disable: jar, third party repos
    commit: 2.2.2-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.4
    versionCode: 224
    commit: 2.2.4-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.5
    versionCode: 225
    commit: 2.2.5-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.6
    versionCode: 226
    disable: third party maven repo
    commit: 2.2.6-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.7
    versionCode: 2020700
    commit: 2.2.7.0-fdroid
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.1
    versionCode: 2040100
    commit: 2.4.1.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - "sed -i -e '1,14d' -e '/normalCompile/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"
      - sed -i -e '/classpath/s/2.2.0-beta2/2.2.0/g' ../build.gradle

  - versionName: 2.4.2
    versionCode: 2040200
    commit: 2.4.2.0
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalCompile/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

  - versionName: 2.4.3
    versionCode: 2040300
    commit: 2.4.3.0
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalCompile/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

  - versionName: 2.4.5
    versionCode: 2040500
    commit: 2.4.5.0
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalCompile/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

  - versionName: 2.4.6
    versionCode: 2040600
    commit: 2.4.6.0
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - "sed -i -e '1,14d' -e '/normalCompile/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"
      - sed -i -e '/maven.google.com/d' ../build.gradle

  - versionName: 2.4.9
    versionCode: 2040900
    commit: 2.4.9.0
    subdir: app
    gradle:
      - fdroid
    output: build/outputs/apk/fdroid/release/app-fdroid-release-unsigned.apk
    prebuild:
      - "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"
      - sed -i -e '/maven.google.com/d' ../build.gradle

  - versionName: 2.4.10
    versionCode: 2041000
    commit: 2.4.10.0
    subdir: app
    gradle:
      - fdroid
    output: build/outputs/apk/fdroid/release/app-fdroid-release-unsigned.apk
    prebuild:
      - "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"
      - sed -i -e '/maven.google.com/d' ../build.gradle

  - versionName: 2.4.11
    versionCode: 2041100
    commit: 2.4.11.0
    subdir: app
    gradle:
      - fdroid
    output: build/outputs/apk/fdroid/release/app-fdroid-release-unsigned.apk
    prebuild:
      - "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"
      - sed -i -e '/maven.google.com/d' ../build.gradle

  - versionName: 2.4.12
    versionCode: 2041200
    commit: 2.4.12.0
    subdir: app
    gradle:
      - fdroid
    output: build/outputs/apk/fdroid/release/app-fdroid-release-unsigned.apk
    prebuild:
      - "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"
      - sed -i -e '/maven.google.com/d' ../build.gradle

  - versionName: 2.5.0
    versionCode: 2050000
    commit: 2.5.0
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

  - versionName: 2.6.0
    versionCode: 2060000
    commit: 2.6.0
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

  - versionName: 2.6.1
    versionCode: 2060100
    commit: 2.6.1
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

  - versionName: 2.6.3
    versionCode: 2060300
    commit: 2.6.3
    subdir: app
    gradle:
      - fdroid
    prebuild: "sed -i -e '1,14d' -e '/normalImplementation/,+2d' -e '/enableCrashlytics/s/true/false/g'\
        \ -e \"/apply plugin: 'io.fabric'/d\" build.gradle"

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 2.6.3
CurrentVersionCode: 2060300
